Results 1 to 7 of 7

Thread: I can run but can't install Lubuntu 18.04.4 on AMD Athlon MP

  1. #1
    Join Date
    Feb 2020
    Beans
    5

    I can run but can't install Lubuntu 18.04.4 on AMD Athlon MP

    Hi there!

    I'm trying to revive some old hardware with Lubuntu 18.04.4 32 bits, but I've hit a problem: after initiating the installation and entering the user information, the installation crashes. From /var/log/syslog:
    Code:
    Feb 25 15:50:27 lubuntu ubiquity[16187]: debconffilter_done: ubi-usersetup (current: ubi-usersetup)
    Feb 25 15:50:27 lubuntu ubiquity[16187]: Step_before = stepUserInfo
    Feb 25 15:50:29 lubuntu kernel: [ 1485.292845] traps: ubiquity[16187] trap invalid opcode ip:a83bc2d7 sp:bfab3fc0 error:0 in libjavascriptcoregtk-4.0.so.18.14.8[a7b78000+b5c000]
    Code:
    $ uname -a
    Linux lubuntu 5.3.0-28-generic #30~18.04.1-Ubuntu SMP Fri Jan 17 06:11:07 UTC 2020 i686 athlon i686 GNU/Linux
    Code:
    $ lscpu
    Arquitetura:                i686
    Modo(s) operacional da CPU: 32-bit
    Ordem dos bytes:            Little Endian
    CPU(s):                     1
    Lista de CPU(s) on-line:    0
    Thread(s) per ncleo:       1
    Ncleo(s) por soquete:      1
    Soquete(s):                 1
    ID de fornecedor:           AuthenticAMD
    Famlia da CPU:             6
    Modelo:                     8
    Nome do modelo:             AMD Athlon(tm) MP
    Step:                       1
    CPU MHz:                    1000.028
    BogoMIPS:                   2000.05
    cache de L1d:               64K
    cache de L1i:               64K
    cache de L2:                256K
    Opes:                     fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 mmx fxsr sse syscall mp mmxext 3dnowext 3dnow cpuid 3dnowprefetch vmmcall
    Of course, a program should check during runtime for supported instruction sets instead of just crashing, and if a instruction set required by the OS is missing in the processor, I would expect that the installation program should alert the user about it. In this case, I guess the invalid opcode is/should not be an OS requirement (specially because I can run Lubuntu from the installation disk), but is used (without checks) by the libjavascriptcoregtk-4.0 library.

    Is there any way around this problem? May I use an older version of Lubuntu?

    Any help is appreciated. Thanks!

  2. #2
    Join Date
    Oct 2009
    Location
    Reykjavk, sland
    Beans
    13,526
    Distro
    Xubuntu 19.10 Eoan Ermine

    Re: I can run but can't install Lubuntu 18.04.4 on AMD Athlon MP

    Hi, welcome to the fora.

    Your CPU has the SSE instruction set but not SSE2. This didn't use to be a problem for Lubuntu itself, only for some browsers, but now it seems to be.

    An option is trying Debian. It should work but I haven't tried myself so can't promise anything.
    Bringing old hardware back to life. About problems due to upgrading.
    Please visit Quick Links -> Unanswered Posts.
    Don't use this space for a list of your hardware. It only creates false hits in the search engines.

  3. #3
    Join Date
    Aug 2011
    Location
    51.8 N 5.8 E
    Beans
    5,009
    Distro
    Xubuntu 19.10 Eoan Ermine

    Re: I can run but can't install Lubuntu 18.04.4 on AMD Athlon MP

    If it's only a problem for the installer and not for Lubuntu itself (until now it appears so, as the error concerns libjavascriptcoregtk-4.0.so, which sounds like something typically used in webbrowsers, but may be used for some nice effects in the GUI installer), you could try the alternate 32-bit installer for Lubuntu 18.04, available from the Lubuntu site (https://lubuntu.me/downloads/), or the minimal network installer (http://cdimage.ubuntu.com/netboot/18.04/).

  4. #4
    Join Date
    Feb 2020
    Beans
    5

    Re: I can run but can't install Lubuntu 18.04.4 on AMD Athlon MP

    Thanks, mrgs & Impavidus!

    I used the alternate 32-bit installer and everything worked just fine!

  5. #5
    Join Date
    Oct 2009
    Location
    Reykjavk, sland
    Beans
    13,526
    Distro
    Xubuntu 19.10 Eoan Ermine

    Re: I can run but can't install Lubuntu 18.04.4 on AMD Athlon MP

    Good, please mark the thread solved.
    Bringing old hardware back to life. About problems due to upgrading.
    Please visit Quick Links -> Unanswered Posts.
    Don't use this space for a list of your hardware. It only creates false hits in the search engines.

  6. #6
    Join Date
    Feb 2020
    Beans
    5

    Re: I can run but can't install Lubuntu 18.04.4 on AMD Athlon MP

    Quote Originally Posted by mrgs View Post
    Good, please mark the thread solved.
    Done!

    BTW, on your thread Old hardware brought back to life, it says:


    Hardware Age (approx.) Occurrence Examples of applications which don't work Remarks
    32 bit without SSE2 2001-2 Rare Firefox, Chromium, Chrome, Skype


    Even though my system has no SSE2 and is 32 bits, Firefox runs fine (so far at least)...

  7. #7
    Join Date
    Oct 2009
    Location
    Reykjavk, sland
    Beans
    13,526
    Distro
    Xubuntu 19.10 Eoan Ermine

    Re: I can run but can't install Lubuntu 18.04.4 on AMD Athlon MP

    Thanks for pointing this out. Yes, Mozilla should have a tip of the hat for providing Firefox Extended Support.

    I have edited post 1 and 3. Feel free to post again in that thread if anything else is outdated.
    Last edited by mrgs; 3 Weeks Ago at 08:18 AM.
    Bringing old hardware back to life. About problems due to upgrading.
    Please visit Quick Links -> Unanswered Posts.
    Don't use this space for a list of your hardware. It only creates false hits in the search engines.

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •